Check git file configuration is correct
curl --request POST \
--url https://api.qovery.com/environment/{environmentId}/checkGitFile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"git_repository": {
"url": "https://github.com/Qovery/simple-node-app",
"branch": "feat/text_xxx",
"root_path": "/",
"git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"files": [
"<string>"
]
}
'import requests
url = "https://api.qovery.com/environment/{environmentId}/checkGitFile"
payload = {
"git_repository": {
"url": "https://github.com/Qovery/simple-node-app",
"branch": "feat/text_xxx",
"root_path": "/",
"git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"files": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
git_repository: {
url: 'https://github.com/Qovery/simple-node-app',
branch: 'feat/text_xxx',
root_path: '/',
git_token_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
files: ['<string>']
})
};
fetch('https://api.qovery.com/environment/{environmentId}/checkGitFile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Environment
Check git file configuration is correct
POST
/
environment
/
{environmentId}
/
checkGitFile
Check git file configuration is correct
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Environment ID
Response
Information about the image
The response is of type object.
Was this page helpful?
⌘I